Opened 15 months ago

Last modified 14 months ago

#3255 new patch

Migrate core to libtorrent-1.2

Reported by: DjLegolas Owned by:
Priority: major Milestone: 2.x
Component: libtorrent Version: develop
Keywords: Cc:

Description

As pointed in #3232, deluge can't work with libtorrent1.2.

Upgrade process is in https://github.com/deluge-torrent/deluge/pull/240

Change History (1)

comment:1 Changed 14 months ago by Cas

  • Summary changed from Update to libtorrent-1.2 to Migrate core to libtorrent-1.2

There is still compatibility between 1.1 and 1.2 but it would be good to move the code to rely solely on 1.2 features.

I have pushed your PR changes plus additional changes [d40d40af31a], [be74d96c6a6], [4212bd68001af]

It would be useful to know exactly what it need to be worked upon e.g.

  • Convert add_torrent_params_flags_t to torrent_flags
Note: See TracTickets for help on using tickets.